### Enumeration

# Atspi TextBoundaryType

#### Declaration

    enum Atspi.TextBoundaryType

#### Description [src]

Specifies the boundary conditions determining a run of text as returned from

# atspi_text_get_text_at_offset, #atspi_text_get_text_after_offset, and

# atspi_text_get_text_before_offset.

This enumerationis deprecated since 2.9.90 and should not be used. Use AtspiTextGranularity with #atspi_text_get_string_at_offset instead.

#### Members

`ATSPI_TEXT_BOUNDARY_CHAR`

  An `AtspiText` instance is bounded by this character only. Start and end offsets differ by one, by definition, for this value.

  - Value: `0`
  - Available since: 2.0
`ATSPI_TEXT_BOUNDARY_WORD_START`

  Boundary condition is start of a word; i.e. range is from start of one word to the start of another word.

  - Value: `1`
  - Available since: 2.0
`ATSPI_TEXT_BOUNDARY_WORD_END`

  Boundary condition is the end of a word; i.e. range is from the end of one word to the end of another. Some locales may not distinguish between words and characters or glyphs. In particular, those locales which use wholly or partially ideographic character sets. In these cases, characters may be returned in lieu of multi-character substrings.

  - Value: `2`
  - Available since: 2.0
`ATSPI_TEXT_BOUNDARY_SENTENCE_START`

  Boundary condition is start of a sentence, as determined by the application. Some locales or character sets may not include explicit sentence delimiters, so this boundary type can not always be honored. Some locales will return lines of text instead of grammatical sentences.

  - Value: `3`
  - Available since: 2.0
`ATSPI_TEXT_BOUNDARY_SENTENCE_END`

  Boundary condition is end of a sentence, as determined by the application, including the sentence-delimiting character, for instance ‘.’ Some locales or character sets may not include explicit sentence delimiters, so this boundary type can not always be honored. Some locales will return lines of text instead of grammatical sentences.

  - Value: `4`
  - Available since: 2.0
`ATSPI_TEXT_BOUNDARY_LINE_START`

  Boundary condition is the start of a line; i.e. range is from start of one line to the start of another. This generally means that an end-of-line character will appear at the end of the range.

  - Value: `5`
  - Available since: 2.0
`ATSPI_TEXT_BOUNDARY_LINE_END`

  Boundary condition is the end of a line; i.e. range is from start of one line to the start of another. This generally means that an end-of-line character will be the first character of the range.

  - Value: `6`
  - Available since: 2.0